;;; ============================================
;;; Fichier 3-Free.lisp / 21 mars 2003
;;; ============================================

(in-package :midishare)

(setf *lengthfree* 50)


(defun creer-free ()
  (let ((seq-free ()))
    (if (and (> (om::NbEvent? *oracle-player*) 0)
             (> *lengthfree* 0))
      (cond 
       (*Prolifere-mode* 
        (setf seq-free (om::proliferate *oracle-player*))
        (setf seq-free (om::events->5list seq-free 0)))
       (*Voicing-mode* 
        (om::ajoute-voicing *oracle-player* *accord*))   ;484=duree-valmin de ref
       (t (setf seq-free (om::Improvize *oracle-player* *lengthfree*))
          (when *Ofon-mode*
            (setf *Ofon-Audio-dates* 
                  (loop for event in seq-free
                        collect (mapcar #'second (om::data event)))))
          (setf seq-free (om::events->5list seq-free 0))))
      (format t "~%Pas de donnees provenant de l'oracle~%"))
    seq-free))

                                    
