(load "ccl:library;save-application-dialog")

(defun save-dump-image (&optional  no-compiler)
  (let ((file (choose-new-file-dialog
               :prompt "Save new image as:"
               :button-string  "Save"
               ))
        (sizes (list (* 100000 1024)
                     (* 50000  1024))))
    (eval-enqueue        
     #'(lambda ()
         (save-application    
          file
          :application-class (find-class 'ccl::lisp-development-system)
          :size sizes
          ; :resources *reources-list*
          ; :init-file "init" 
          :clear-clos-caches t
          :creator :|CCL2|
          ;:memory-options '(:mac-heap-maximum 409600)
          :memory-options '(:mac-heap-minimum 1638400
                            :mac-heap-maximum 3276800)
          :excise-compiler  no-compiler)))

    ))


(setf ccl:*lisp-startup-functions*
      (append ccl:*lisp-startup-functions*
              (list #'(lambda ()
                        (setf *package* (find-package :om)))
                    #'om::omaxon)))

(setf CCL:*lisp-cleanup-functions* 
      (append (list #'om::omaxoff) CCL:*lisp-cleanup-functions*))


(om::omaxon)
(save-dump-image)



