(in-package :nc)

(defmacro defpargeneric (name send-func lambda-list &rest options)
  ;; I wanted to use defgeneric, but you can't add your own keyword arguments then.
  ;; So now there is no source-file-recording and fewer compile-time error-checking.
  
  (let ((class (compute-gf-class  name (second (assoc :generic-function-class 
                                                      options)))))

(print (list "***" class))

    `(progn (when (and *manager* *defremote-p*)
              (loop for space in (spaces *manager*)
                    do (remote-eval space 
                                    '(let ((*defremote-p* nil)) 
                                       (defpargeneric ,name ,send-func ,lambda-list ,@options)))))
            
            (ensure-generic-function 
             ',name 
             :lambda-list ',lambda-list
             :generic-function-class (print (find-class ',class))
             :send-func ,(compute-send-func send-func)
             ,. (when (subtypep class 'sending-gf)
                  `(:method-combination , (find-method-combination #'initialize-instance 'sending ())))
             ,@(compute-options options)))))

