(in-package :om)

;==============================================================================
;==============================================================================
;==============================================================================




(defvar *scorepackage*  (omNG-protect-object (omNG-make-new-package "Score")))


(addPackage2Pack *scorepackage* *om-package-tree*)

(addPackage2Pack *extrapackage* *scorepackage*)


(push (omNG-make-new-boxalias (omNG-make-new-boxclass 'simple-score-element (om-make-point 38 2))
                              (om-make-point 38 2) "simple-score-element")
      (aliasclasses *scorepackage*))
(push (omNG-make-new-boxalias (omNG-make-new-boxclass 'sequence* (om-make-point 435 190))
                              (om-make-point 435 190) "sequence*")
      (aliasclasses *scorepackage*))
(push (omNG-make-new-boxalias (omNG-make-new-boxclass 'metric-sequence (om-make-point 199 182))
                              (om-make-point 199 182) "metric-sequence")
      (aliasclasses *scorepackage*))
(push (omNG-make-new-boxalias (omNG-make-new-boxclass 'superposition (om-make-point 395 5))
                              (om-make-point 319 5) "superposition")
      (aliasclasses *scorepackage*))

;;; !!! Midifile? aussi dans MidiPackage...
(AddClass2Pack '(note rest chord group measure voice poly MidiFile chord-seq multi-seq) 
               *scorepackage* 
               :position (list (om-make-point  8 133) (om-make-point 55 133) (om-make-point 273 131) (om-make-point 227 285) (om-make-point 290 285) (om-make-point 165 285) 
                               (om-make-point 417 131) (om-make-point 108 133) (om-make-point 433 285) (om-make-point 329 131)))



(AddGenFun2Pack '(align-chords concat  get-chords  get-measures mask merger select) *scorepackage*)

;;;(AddGenFun2Pack '(align-chords concat finale-export finale-import get-chords aiff-markers peak-regions mask merger mktree tree2ratio select save-as-etf) *scorepackage*)

(AddGenFun2Pack 'true-durations *scorepackage*)

(AddGenFun2Pack 'OMquantify *scorepackage*)

(AddGenFun2Pack 'maquette2obj *scorepackage*)


;;;================= PACKAGES ================
(defvar *audiopackage* (omNG-protect-object (omNG-make-new-package "Audio")))
(addPackage2Pack *audiopackage* *om-package-tree*)

(defvar *soundpackage* (omNG-protect-object (omNG-make-new-package "Tools")))
(addPackage2Pack *soundpackage* *audiopackage*)

(defvar *sndconvpackage* (omNG-protect-object (omNG-make-new-package "Conversions")))
(addPackage2Pack *sndconvpackage* *soundpackage*)


(defvar *analysispackage* (omNG-protect-object (omNG-make-new-package "Sound Analysis")))
(addPackage2Pack *analysispackage* *audiopackage*)

(AddClass2Pack '(sound audio-mix-console) *audiopackage*)

(AddGenFun2Pack '(sound-points sound-dur-ms) *analysispackage*)

;TREES
;-------------------

(defvar *trees-package* (omNG-protect-object (omNG-make-new-package "Trees")))
(AddPackage2Pack *trees-package* *scorepackage* :protect t)

(AddGenFun2Pack  '(pulsemaker maketreegroups
                   reducetree tietree remove-rests invert-rhythm reversetree rotatetree filtertree    subst-rhythm 
                   tree2ratio mktree  
                   group-pulses n-pulses get-signatures get-pulse-places get-rest-places
                   ) *trees-package*)