;=============================================================================
;			ADD-A1.ORC
; ADDITIVE SYNTHESIS WITH FREQUENCY AND AMPLITUDE ENVELOPES / MONO
; ENVELOPES WITH OSCILI
;=============================================================================

; Timbre:    nothing speciaL
; Synthesis: additive same units
; Source:    new instrument
; Coded:     ms 0503

;-----------------------------------------------------------------------------
; NB: the apparently arbitrary amplitude range (0-1000, rather than 0-1)
;         avoids Lisp printing small values with exponential notation
;         when using linear amplitudes
;-----------------------------------------------------------------------------

;	p1	= instrument number
;	p2	= action time [sec]
;	p3	= duration [sec]
;	p4	= maximum amplitude [linear, 0.0 -> 1000.0]
;	p5	= reference frequency [Hz]
;	p6	= amplitude envelope [GEN number]
;	p7	= maximum frequency deviation [Hz]
;	p8	= frequency envelope [GEN number]

;-----------------------------------------------------------------------------
; COMPULSORY GEN FUNCTIONS :
;	f1	audio wave
;_____________________________________________________________________________

; GEN functions **********************************************************
; audio wave
f1  0   4097   9  1  1  0

; amplitude and frequency envelopes (52 = flat 1)
f51  0   513   7  0 100 1  300 1 113 0


; score ******************************************************************
;  start  idur   iamp	 ifq	iaenv	ifdev	ifenv
; 1 semitone change, upwards
i1   0	   5	200.0	440.0	51	1.0	51
; comparison of beatings
i1   1	   4	200.0	466.16	51	0.0	51


; 1 semitonone change, downwards
i1   5	   5	200.0	440.0	51	-1.0	51
i1   6	   4	200.0	415.3	51	0.0	51

e
