;=============================================================================
;		SUB-1.ORC
; SUBTRACTIVE SYNTHESIS OF RANDOM NOISE (FROM ACCCI, 50_01_1.ORC) / MONO
; AMPLITUDE ENVELOPE WITH OSCILI
;=============================================================================

; Timbre:    Bands of noise
; Synthesis: Subtractive synthesis
;            Basic design
;            RAND sourcE
; Coded:     jpg 8/92, modified ms 9/02

; NB: the apparently arbitrary amplitude range (0-1000, rather than 0-1)
;         avoids Lisp printing small values with exponential notation
;-----------------------------------------------------------------------------

;	p1	= instrument number
;	p2	= action time [sec]
;	p3	= duration [sec]
;	p4	= maximum amplitude [linear, 0.0 -> 1000.0]
;	p5	= center frequency [Hz]
;	p6	= bandwidth [% of center frequency, 0->1]
;	p7	= amplitude envelope [GEN]

;-----------------------------------------------------------------------------
; COMPULSORY GEN FUNCTIONS
;	none
;_____________________________________________________________________________

; amplitude envelope
f31 0 513 7 0  10 1  492 1  10 0  1 0


; score ******************************************************************

;    atime idur  iamp   ipch   ibw iaenv
i1    0     1     200  2093   .01	31
i1    1.1   .      .   1046   .	 .
i1    2.3   8      .    523   .	 .
i1    3     2     100  1567   .	 .
i1    3     2     125   261   .	 .
i1    3     2    87.5  5273   .	 .
i1    6     .3    100 25086   .	 .
i1    6     .     125  8372   .	 .
i1    6     .    87.5 10547   .	 .
i1    6.3   .4    100  1567   .	 .
i1    6.3   .     125  1046   .	 .
i1    6.3   .    87.5  2636   .	 .
i1    8.1   1     250  2636   .	 .

e
