(in-package :om)


;;;===============================
;;; PACKAGE

(defvar *crmodelpack* (omNG-protect-object (omNG-make-new-package "Models")))
(addpackage2pack *crmodelpack* *chromapack*)
(addclass2pack '(cr-model cr-control) *crmodelpack*)
(addgenfun2pack '(model-data expand-model) *crmodelpack*)



(defvar *vpspack* (omNG-protect-object (omNG-make-new-package "Vertical Pitch Structures")))
(addpackage2pack *vpspack* *crmodelpack*)
(addclass2pack '(cr::fql cr::ptl) *vpspack*)
(addgenfun2pack '(pch->fq) *vpspack*)

(defvar *inspectmodelpack* (omNG-protect-object (omNG-make-new-package "Inspect")))
(addpackage2pack *inspectmodelpack* *crmodelpack*)
(addgenfun2pack '(max-amp max-freq min-freq nb-evts) *inspectmodelpack*)


(defvar *modifmodelpack* (omNG-protect-object (omNG-make-new-package "Processing")))
(addpackage2pack *modifmodelpack* *crmodelpack*)
(addgenfun2pack '(low-pass-filter high-pass-filter band-pass-filter
                  main-partials n-main-partials stretch-vps pitch-transpose) *modifmodelpack*)

(defvar *toolsmodelpack* (omNG-protect-object (omNG-make-new-package "Tools")))
(addpackage2pack *toolsmodelpack* *crmodelpack*)
(addgenfun2pack '(make-cr-fun time-map-fun add-random) *toolsmodelpack*)

;(updatesmenus) 