(in-package :om)


;;; in save.lisp
;;; this is because using let has the 8192K barrier

(defvar *hashtable-tmp*)
(defmethod omNG-save ((self hash-table) &optional (values? nil)) 
  (declare (ignore values?))
  (let (keylist vallist)
    (maphash #'(lambda (key val)
                 (push key keylist)
                 (push val vallist)) self)
    (setf keylist (reverse keylist)
          vallist (reverse vallist))
    `(progn 
       (setf  *hashtable-tmp* (make-hash-table))
       (mapc #'(lambda (key val)
                 (sethash  *hashtable-tmp* key val))
             ,(omNG-save keylist)
             ,(omNG-save vallist)
             )
       *hashtable-tmp*)))