(in-package :om)


;;; in save.lisp
;;; this is because using let has the 8192K barrier

(defvar *hashtable-tmp*)
(defmethod omNG-save ((self hash-table) &optional (values? nil)) 
  (declare (ignore values?))
  (let (keylist vallist)
    (maphash #'(lambda (key val)
                 (push key keylist)
                 (push val vallist)) self)
    (setf keylist (reverse keylist)
          vallist (reverse vallist))
    `(progn 
       (setf  *hashtable-tmp* (make-hash-table))
       (mapc #'(lambda (key val)
                 (sethash  *hashtable-tmp* key val))
             ,(omNG-save keylist)
             ,(omNG-save vallist)
             )
       *hashtable-tmp*)))


;; this is for the new udpsend max object
;; il n'envoie pas de bundle


(defun parse-buffer (buf i size)
  (let* ( rep mssg elemsize)
    (setf elemsize size)
    (loop while (< i size) do
          (setf mssg (read-osc-string buf i))
          ;(print mssg)
          (setf i (advance-str mssg i))
          (push  (parse-mssg buf i mssg elemsize) rep)
          (setf i (+ i elemsize))
          (setf elemsize (read-int32 buf i))
          (setf i (+ i 4)))
    (reverse rep)
    )
  )



