;;; ============================================
;;; Fichier 4-Charge.lisp / 18 mai 2003
;;; ============================================

(in-package :midishare)





(defun om::charge-orchestre ()
  (setf contenu-fichier (om::load-orchestre-from))
  (when (neq contenu-fichier :cancel)
    (if (eq (type-of contenu-fichier) 'om::improvizer) 
      (progn (init-oracle)
             (setf *oracle1* contenu-fichier)
             (setf (aref (om::improvizer-array *orchestre*) 0) *oracle1*))
      (progn (setf *oracle1* (aref (om::improvizer-array contenu-fichier) 0))
             (setf *oracle2* (aref (om::improvizer-array contenu-fichier) 1))
             (setf *oracle3* (aref (om::improvizer-array contenu-fichier) 2))
             (setf *oracle4* (aref (om::improvizer-array contenu-fichier) 3))
             (setf *orchestre* contenu-fichier)))
    (setf *oracle-courant* *oracle1*))
  contenu-fichier)


(defun om::sauve-orchestre ()
  (om::save-orchestre-as *orchestre*)
  T)



(defun init-oracle ()
  (setf *oracle1* (om::NewImprovizer))
  (setf *oracle2* (om::NewImprovizer))
  (setf *oracle3* (om::NewImprovizer))
  (setf *oracle4* (om::NewImprovizer))
  (setf *orchestre* (make-instance 'om::orchestre :improvizer-array 
                                   (make-array 4 :initial-contents 
                                               (list *oracle1* *oracle2* *oracle3* *oracle4*))))
  *oracle1*)