(defmethod unslice ((self list) start-time)
  (loop for evt in self
        with delay = 0
        ;do (analyse-slice evt)
        if (not (pause-event-p  evt))
        append (loop for note in (MidiSet evt)
                     do ;(setf (MEChannel note) 1)
                     (setf (MEOnset note) (+ start-time delay ))
                     (unless (MEPhrase note) ;; old oracle without audio dates
                       (let ((last (last note)))
                         (setf (cdr last) (list 0 0))))
                     
                     collect (let ((noteoff (copy-list note)))
                               (setf (MEVel noteoff) 0)
                               (setf (MEOnset noteoff) (+ (MeOnset note) (MEDur note)  -5))
                               ;(setf (MEOnset noteoff) (+ (MeOnset note) (MEDur note) ))
                               (setf (MEAUdioOnset noteoff) (+  (MeAudioOnset note) (MEDur note)))
                               noteoff))
        into note-offs
        sum (duration evt) into delay
        finally return (sort (append (loop for event in self append (Midiset event))
                                     note-offs)
                             #'(lambda (x y) (or (< (MeOnset x) (MEOnset y))
                                                 (and (= (MeOnset x) (MEOnset y))
                                                      (= (MePitch x) (MePitch y))
                                                      (IsKeyOff? x))))
                                                 
                              )))

vrifier -5 et (isKeyOff? x)