(in-package :om)

(require-library "RepMus")

(setf ms::*spectral-mode* nil)
(setf ms::*Prolifere-mode* nil)

(defmethod proliferate ((self improvizer))
  (let* ((lastEvent (get-lastchord-in-oracle self))
         (LMidic (CrossEvt->LMidic lastEvent))
         (registre (list (min 30 (- 1200 (apply #'min lmidic)))
                         (max 100 (+ 1200 (apply #'max lmidic)))))
         ; moyenne des surees sur n derniers accords
         (MeanDur (duration lastEvent))
         #|
         (MeanDur (loop for i from (maxEtat self) downto (max 1 (- (maxEtat self) 0))
                        for j from 1
                        sum (duration (otext self i)) into dur
                        finally return (round (/ dur j))))

|#         (autoseq (mutation (first-n (autotransp LMidic registre) 10) 2))
         (sortedSeq (graph-tour  (make-graph autoseq) (random (length autoseq)) 1 1 1 1))
         ;(graph (make-graph (autotransp (first-n sortedSeq 10) registre (if ms::*spectral-mode* 2 1)) ))
         ;(explength (print (round 6000 (* (length autoseq) (round MeanDur 4) 2))))
         ; (tour (loop for i from 1 to 1 ; concatene 3 generations
         ;             append (graph-tour graph
         ;                                (random (length autoseq))
         ;                                 1 1 1 1))))
         (tour sortedseq))
    (print (list "tour" (length tour)))
    ;(when (< (length tour) 150)
    ; (setf tour (loop for i from 1 to (print (ceiling 500 (length tour))) ; concatene 3 generations
    ;                append (graph-tour graph
    ;                                     (random (length autoseq))
    ;                                    1 1 1 1))))
    
    (let ((poly (chseq->poly
                 (make-instance 'chord-seq
                   :LMidic  tour
                   :lOnset (list 0 (round (/ MeanDur 1))) )
                 2)))
      (format t "Proliferation : ~D notes, Dure unit: ~D ~%"
              (length (lmidic poly))
              (round (/ MeanDur 4)))
      (mf->crossEvents (list (chord-seq->mf-info poly ))))))





(defmethod  get-lastchord-in-oracle ((self improvizer))

(loop for i from (maxEtat self) downto 0
      while (< (length (MidiSet (otext self i)))
                3)
      finally return (if (zerop i) nil
                         (otext self i))))





(defmethod CrossEvt->LMidic ((self crossevent))
  (mapcar #'(lambda (x) (* 100 (abs (first x)))) (midiSet self)))



(defmethod! mutation ((chords list) &optional (inout 1))
    (unless (listp (first chords)) (setf chords (list chords)))
    (loop for chord in chords
          for next in (rest chords)
          for i from 0
          for mutation = (do-mutation chord next nil nil (eq inout 2))
          append (if (zerop i) mutation (rest mutation))))




 





