(in-package :oa)

(export '(
          osc-write-string-arg
          OSC-write-Address-and-Types
          osc-make-time-tag
          ) :om-api)


(defun osc-write-string-arg (oscbufp str) 
  (ccl::with-cstrs ((s str))
                   (osc::OSC_writeStringArg OSCbufp s)))

(defun OSC-write-Address-and-Types (OSCbufp s argtypes)
  (ccl::with-cstrs (
                    (name s)
                    (types argtypes))
                   ; (print-buffer types 8)
                   ; (OSC_assert (OSC_writeAddressandTypes  OSCbufp name types) "types")
                   (osc::OSC_writeAddressandTypes OSCbufp name types)
                   ))


(defun osc-make-time-tag (s f)
  (ccl::rlet ((tt :OSCTT :seconds s :fraction f))
             (let ((i 0) (f 1))
               (setf (ccl::rref tt (OSCTT.seconds))  i)
               (setf (ccl::rref tt (OSCTT.fraction)) f))
             tt))

