(in-package :om)

;--------------------------------------------------
;Loading & compiling files 
;--------------------------------------------------

(defvar *screamer-files* 
  '(
    ;-----------Screamer--------------------------------
    
    "screamer329;screamer" 
    
    ;-----------OM--------------------------------
    ;;;"ConstraintPrj:OM-Screamer;screamInterface" 
    ;;;"ConstraintPrj:OM-Screamer;screamboxes"  
    ;;;"ConstraintPrj:OM-Screamer;screamfuns" 
    ))


(eval-when (eval compile load)
  (mapc #'(lambda (filename) 
            (compile&load (namestring (make-local-path *load-pathname* filename)))) 
        *screamer-files*))

(defvar  *clouds-files* nil)

(setf *clouds-files* 
      '(
        "omclouds;general"
        "omclouds;cycle"
        "omclouds;perm"
        "omclouds;liste"
        "omclouds;package"
        
        ))



(eval-when (eval compile load)
  (mapc #'(lambda (filename) 
            (compile&load (namestring (make-local-path *load-pathname* filename)))) 
        *clouds-files*))

(unless (member :OM *features*) (setf *features* (cons :OM *features*)))

(defun assoc-2-lists (list1 list2)
  (do* ((lst1 list1 (cdr lst1))
        (lst2 list2 (cdr lst2))
        (result nil))
       ((null lst1) result)
    (setq result (cons (list (car lst1)
                             (car lst2))
                       result))))

(defun closure-function (fun)
  (om-closure-function fun))

(defvar  *situation-files* nil)

(setf *situation-files* 
      '(
        "omsituation;delay-packages"
        "omsituation;soft-packages"
        "omsituation;delay-pattern-match"
        ;;;"omsituation;Functionals"
        "omsituation;tempovar"
        "omsituation;csptechniques;listas"
        "omsituation;csptechniques;cursores-jer"
        "omsituation;csptechniques;nconstraint-jer"
        "omsituation;csptechniques;hf3c"
        "omsituation;csptechniques;extended-hash"
        "omsituation;csptechniques;weak-csp-solver"
        "omsituation;musiccspgenerator;musicuser-csptechn"
        "omsituation;utilities;om-series-code"
        "omsituation;temporal-points"
        "omsituation;newboxes;mcspmenus"
        
        ))

(eval-when (eval compile load)
  (mapc #'(lambda (filename) 
            (compile&load (namestring (make-local-path *load-pathname* filename)))) 
       *situation-files*))


