;=============================================================================
;		BUZZ-1.ORC
; DYNAMIC SPECTRUM OSCILLATOR (FROM ACCCI, 43_21_1.ORC) / MONO
; AMPLITUDE ENVELOPE WITH OSCILI
;=============================================================================

; timbre:     Various controlled noise spectra
; synthesis:  (g)buzz
;             OSCILI envelopeS
; Coded:     jpg 8/92, modified ms 9/02

; NB: the apparently arbitrary amplitude range (0-1000, rather than 0-1)
;         avoids Lisp printing small values with exponential notation
;-----------------------------------------------------------------------------

;	p1	= instrument number
;	p2	= action time [sec]
;	p3	= duration [sec]
;	p4	= maximum amplitude [linear, 0.0 -> 1000.0]
;	p5	= frequency [Hz]
;	p6	= amplitude envelope [GEN number]
;	p7	= lowest harmonic present in the buzz
;	p8	= % of maximum possible harmonic present [0-1]
;	p9	= envelope for the multiplier in the series of amplitude coefficients
;			of the buzz

;-----------------------------------------------------------------------------
; COMPULSORY GEN FUNCTIONS
;	f5	cosine
;_____________________________________________________________________________


; GEN functions **********************************************************
; single cosine(!) wave for the buzz
f5 0 65536 11 1 1

f11 0 513 7 0 256 1 256 0 1 0

; score ******************************************************************

;        idur   iamp   ifqc	iaenv	ilh	in%	ibzenv
i1    0  10      250    220	 11		 1	 1	11
i1   11   1       .      .	  .		 .	 .	 .
i1   +    2       .      .	  .		 .	 .	 .
i1   .    4       .     110	  .		 .	 .	 .

e

